package main

import (
	"fmt"
	"html"
	"log"
	"net/http"
	"strconv"

	router "./core/router"
)

func main() {
	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		router.Routes.Add("Url", "test")
		fmt.Fprintf(w, "Hello, %q", html.EscapeString(r.URL.Path))
	})

	log.Fatal(http.ListenAndServe(":"+strconv.Itoa(ServerPort), nil))
}
